package com.eactive.eai.batch.doc;

import java.io.Serializable;

public class Phaseinfo implements Serializable
{
	private static final long serialVersionUID = 1L;
	String ruleCode             ;
	String phaseCode            ;
	String phaseType            ;
	String flowClassName        ;
	String lengthTelegramID     ;
	String lengthClassName      ;
	String lengthMsgCode        ;
	int    lengthFieldIndex     ;
	String phaseSeq             ;
	String phaseTelegramID      ;
	String phaseClassName       ;
	String phaseMsgCode         ;
	String telegramTypeValue    ;
	String bizCodeValue         ;
	String controlCodeValue     ;
	String responseCodeValue    ;
	public String getRuleCode() {
		return ruleCode;
	}
	public void setRuleCode(String ruleCode) {
		this.ruleCode = ruleCode;
	}
	public String getPhaseCode() {
		return phaseCode;
	}
	public void setPhaseCode(String phaseCode) {
		this.phaseCode = phaseCode;
	}
	public String getPhaseType() {
		return phaseType;
	}
	public void setPhaseType(String phaseType) {
		this.phaseType = phaseType;
	}
	public String getFlowClassName() {
		return flowClassName;
	}
	public void setFlowClassName(String flowClassName) {
		this.flowClassName = flowClassName;
	}
	public String getLengthTelegramID() {
		return lengthTelegramID;
	}
	public void setLengthTelegramID(String lengthTelegramID) {
		this.lengthTelegramID = lengthTelegramID;
	}
	public String getLengthClassName() {
		return lengthClassName;
	}
	public void setLengthClassName(String lengthClassName) {
		this.lengthClassName = lengthClassName;
	}
	public String getLengthMsgCode() {
		return lengthMsgCode;
	}
	public void setLengthMsgCode(String lengthMsgCode) {
		this.lengthMsgCode = lengthMsgCode;
	}
	public int getLengthFieldIndex() {
		return lengthFieldIndex;
	}
	public void setLengthFieldIndex(int lengthFieldIndex) {
		this.lengthFieldIndex = lengthFieldIndex;
	}
	public String getPhaseSeq() {
		return phaseSeq;
	}
	public void setPhaseSeq(String phaseSeq) {
		this.phaseSeq = phaseSeq;
	}
	public String getPhaseTelegramID() {
		return phaseTelegramID;
	}
	public void setPhaseTelegramID(String phaseTelegramID) {
		this.phaseTelegramID = phaseTelegramID;
	}
	public String getPhaseClassName() {
		return phaseClassName;
	}
	public void setPhaseClassName(String phaseClassName) {
		this.phaseClassName = phaseClassName;
	}
	public String getPhaseMsgCode() {
		return phaseMsgCode;
	}
	public void setPhaseMsgCode(String phaseMsgCode) {
		this.phaseMsgCode = phaseMsgCode;
	}
	public String getTelegramTypeValue() {
		return telegramTypeValue;
	}
	public void setTelegramTypeValue(String telegramTypeValue) {
		this.telegramTypeValue = telegramTypeValue;
	}
	public String getBizCodeValue() {
		return bizCodeValue;
	}
	public void setBizCodeValue(String bizCodeValue) {
		this.bizCodeValue = bizCodeValue;
	}
	public String getControlCodeValue() {
		return controlCodeValue;
	}
	public void setControlCodeValue(String controlCodeValue) {
		this.controlCodeValue = controlCodeValue;
	}
	public String getResponseCodeValue() {
		return responseCodeValue;
	}
	public void setResponseCodeValue(String responseCodeValue) {
		this.responseCodeValue = responseCodeValue;
	}
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("Phaseinfo\nruleCode:");
		builder.append(ruleCode);
		builder.append("\nphaseCode:");
		builder.append(phaseCode);
		builder.append("\nphaseType:");
		builder.append(phaseType);
		builder.append("\nflowClassName:");
		builder.append(flowClassName);
		builder.append("\nlengthTelegramID:");
		builder.append(lengthTelegramID);
		builder.append("\nlengthClassName:");
		builder.append(lengthClassName);
		builder.append("\nlengthMsgCode:");
		builder.append(lengthMsgCode);
		builder.append("\nlengthFieldIndex:");
		builder.append(lengthFieldIndex);
		builder.append("\nphaseSeq:");
		builder.append(phaseSeq);
		builder.append("\nphaseTelegramID:");
		builder.append(phaseTelegramID);
		builder.append("\nphaseClassName:");
		builder.append(phaseClassName);
		builder.append("\nphaseMsgCode:");
		builder.append(phaseMsgCode);
		builder.append("\ntelegramTypeValue:");
		builder.append(telegramTypeValue);
		builder.append("\nbizCodeValue:");
		builder.append(bizCodeValue);
		builder.append("\ncontrolCodeValue:");
		builder.append(controlCodeValue);
		builder.append("\nresponseCodeValue:");
		builder.append(responseCodeValue);
		return builder.toString();
	}
	
}
